package kz.arta.synergy.workflow.mobile.android.comments;

/**
 * Константы для работы с комментариями
 * Created by neox on 25.05.15.
 */
public class CommentConst {

    /**
     * Комментарии для работы
     */
    public static final String WORK = "WORK";

    /**
     * Комментарии для документа
     */
    public static final String DOCUMENT = "DOCUMENT";

    /**
     * Личные комментарии пользователя
     */
    public static final String PERSONAL = "PERSONAL";

    /**
     * Обычный комментарий оставленный пользователем
     */
    public static final String COMMENT_ICON = "comment_icon";

    /**
     * Комментарий другого пользователя
     */
    public static final String COMMENT_ICON_GRAY = "comment_icon_gray";

    /**
     * Позитивный комментарий (добавляется к примеру в случае согласования документа)
     */
    public static final String COMMENT_ICON_GREEN = "comment_icon_green";

    /**
     * Негативный комментарий (добавляется к примеру в случае не согласования документа)
     */
    public static final String COMMENT_ICON_RED = "comment_icon_red";

    /**
     * Комментарий результата завершения работы
     */
    public static final String COMMENT_ICON_RESULT = "comment_icon_result";

    /**
     * Личный комментарий пользователя
     */
    public static final String COMMENT_ICON_BLUE = "comment_icon_blue";

}
