package kz.arta.synergy.workflow.mobile.android.common.utils;

/**
 * Created by neox on 30.06.15.
 */
public class Wrapper {

    /**
     * Результат с ошибкой
     */
    public static final String ERROR = "13";

    /**
     * Нет доступа
     */
    public static final String NO_ACCESS = "2";

    /**
     * Результат без ошибки
     */
    public static final String NO_ERROR = "0";

    /**
     * Метод возвращает сообщение об ошибке, как json строку
     *
     * @param error сообщение об ошибке
     * @return json
     */
    public static String wrapError(String error) {
        return "{\"errorCode\" : " + "\"" + ERROR + "\"" + ", \"errorMessage\" : " + "\"" + error + "\"" + "}";
    }

    /**
     * Метод возвращает строку как json
     *
     * @param key   ключ
     * @param value значение
     * @return json
     */
    public static String getItem(String key, String value) {
        return "\"" + key + "\"" + " : " + "\"" + value.replace("\"", "\\\"") + "\"";
    }

}
