package kz.arta.synergy.workflow.mobile.android.documents.resolution;

/**
 * Created by neox on 25.12.15.
 * Константы резолюций
 */
public class ResolutionConst {

    /**
     * Статус заврешенной резолюции
     */
    public static final int COMPLETED = 1;

    /**
     * Работа
     */
    public static final String ASSIGNMENT = "assignment";

    /**
     * Согласование
     */
    public static final String AGREEMENT = "agreement";

    /**
     * Утверждение
     */
    public static final String APPROVAL = "approval";

    /**
     * Ознакомление
     */
    public static final String ACQUAINTANCE = "acquaintance";

    /**
     * Резолюция
     */
    public static final String RESOLUTION = "resolution";

    /**
     * Отправка документа
     */
    public static final String SEND_DOCUMENT = "send-document";

    /**
     * Выбор одного пользователя
     */
    public static final int SELECT_RESPONSIBLE = 1;

    /**
     * Выбор нескольких пользователей
     */
    public static final int SELECT_EXECUTORS = 2;

    /**
     * Добавление нового пункта резолюции
     */
    public static final int ADD_ITEM_ACTIVITY = 1;

    /**
     * Редактирование пункта резолюции
     */
    public static final int EDIT_ITEM_ACTIVITY = 2;

}
