package kz.arta.synergy.workflow.mobile.android.forms.mobile.models;

import java.io.Serializable;

/**
 * Created by neox on 19.03.15.
 * Данные по форме
 */
public class FormData implements Serializable {

    /**
     * Идентификатор данных по форме
     */
    public String dataUUID;

    /**
     * Идентификатор файла по форме
     */
    public String file_identifier;

    /**
     * Идентификатор формы
     */
    public String form;

    /**
     * Идентификатор
     */
    public String uuid;

    /**
     * Описание компонентов
     */
    public DataUUID[] data;

    public class DataUUID {

        /**
         * Идентификатор компонента
         */
        public String id;

        /**
         * Значение компонента
         */
        public String value;

        /**
         * Значение (ключ) компонента
         */
        public String key;
    }
}
