package kz.arta.synergy.workflow.mobile.android.common;

/**
 * Created by neox on 30.10.15.
 * Константы настроек приложения
 */
public class SettingsConst {

    /**
     * Период обновления геоданных по умолчанию (в миллисекундах)
     */
    public static final String DEFAULT_PERIOD_POSITION = "180000";

    /**
     * Имя настроек приложения
     */
    public static final String DEFAULT_NAME_SETTINGS = "MY_SETTINGS";

    /**
     * Чекбокс "Синхронизировать данные"
     */
    public static final String SYNC_CHECKBOX = "SYNC_CHECK";

    /**
     * Чекбокс "Отправлять данные о местоположении"
     */
    public static final String POSITION_CHECKBOX = "POSITION_CHECKBOX";

    /**
     * Язык в системе
     */
    public static final String LANGUAGE_DATA = "LANGUAGE_DATA";

    /**
     * Лейбл для периода синхронизации
     */
    public static final String PERIOD_TIME_SYNC = "PERIOD_TIME_SYNC";

    /**
     * Период синхронизации (миллисекундах)
     */
    public static final String PERIOD_MILLISECONDS_SYNC = "PERIOD_MILLISECONDS_SYNC";

    /**
     * Лейбл для периода отправки данных о местоположении
     */
    public static final String PERIOD_TIME_POSITION = "PERIOD_TIME_POSITION";

    /**
     * Период отправки данных о местоположении (в миллисекундах)
     */
    public static final String PERIOD_MILLISECONDS_POSITION = "PERIOD_MILLISECONDS_POSITION";

    /**
     * Загружать ли вложения
     */
    public static final String DOWNLOAD_ATTACHMENTS = "DOWNLOAD_ATTACHMENTS";

    /**
     * Модуль по умолчанию
     */
    public static final String DEFAULT_MODULE = "DEFAULT_MODULE";

    /**
     * Токен
     */
    public static final String TOKEN = "TOKEN";

    /**
     * rest/api/settings/get
     */
    public static final String SETTINGS = "SETTINGS";

    /**
     * rest/api/workflow/work/create_defaults
     */
    public static final String DEFAULTS = "DEFAULTS";

    /**
     * rest/api/settings/get_processes
     */
    public static final String PROCESSES = "PROCESSES";

    /**
     * rest/api/projects/get_work_loads
     */
    public static final String WORK_LOADS = "WORK_LOADS";

    /**
     * Текущая версия снерджи
     */
    public static final String SYNERGY_VERSION = "SYNERGY_VERSION";
}
