package kz.arta.synergy.workflow.mobile.android.common.utils;

import java.math.BigDecimal;

/**
 * Created by neox on 20.03.14.
 * Общие коснанты приложения
 */
public class Const {

    /**
     * Тип модуля (строковая константа для передачи в activity)
     */
    public final static String TYPE_MODULE = "TYPE_MODULE";
    /**
     * Модуль "Работы"
     */
    public final static int WORKS = 0;

    /**
     * Модуль "Документы"
     */
    public final static int DOCUMENTS = 1;

    /**
     * Модуль "Файлы"
     */
    public final static int FILES = 2;

    /**
     * Модуль "Реестры"
     */
    public final static int REGISTRY = 3;
    /**
     * Имя директории для соханения вложений
     */
    public static final String DIRECTORY_PHOTOS_NAME = "ArtaAttachments";
    /**
     * Имя директории для сохранения вложений при синхронизации
     */
    public static final String ATTACHMENT_DIRECTORY_NAME = "ArtaSyncAttachments";
    /**
     * Имя директории для сохранения форм
     */
    public static final String FORMS_DIRECTORY_NAME = "ArtaForms";
    /**
     * SenderID
     */
    public static final String SENDER_ID = "607002392289";
    /**
     * Стандартный формат изображения
     */
    public static final String DEFAULT_FILE_FORMAT = ".png";
    /**
     * Сохраненный заголовок на кнопке "Начать синхронизацию"
     */
    public static final String SYNC_DATA = "SYNC_DATA";
    /**
     * Натажа ли кнопка "Back" на устройстве
     */
    public static final String BACK_PRESSED_SYNC = "BACK_PRESSED_SYNC";
    /**
     * Смещение боковой навигации
     */
    public static final int SLIDING_MENU_BEHIND_WIDTH = 60;
    /**
     * Ширина боковой навигации
     */
    public static final int SLIDING_MENU_WIDTH = 300;
    /**
     * Минимальная версия синерджи на которой приложение будет работать стабильно
     */
    public static final BigDecimal CURRENT_VERSION_SYNERGY = new BigDecimal(3.10);
    /**
     * Имя файла изображения пользователя
     */
    public static String USER_ICON_NAME = "person_icon.png";
}
