package kz.arta.synergy.workflow.mobile.android.documents;

/**
 * Created by neox on 06.11.15.
 * Константы документов
 */
public class DocumentConst {

    /**
     * Все документы пользователя
     */
    public static final String ALL_USER_DOCUMENTS = "ALL_USER_DOCUMENTS";

    /**
     * "Мои" документы
     */
    public static final String USER_OWN_DOCUMENTS = "USER_OWN_DOCUMENTS";

    /**
     * Полученные документы
     */
    public static final String USER_RECEIVED_DOCUMENTS = "USER_RECEIVED_DOCUMENTS";

    /**
     * Отправленные документы
     */
    public static final String USER_SENT_DOCUMENTS = "USER_SENT_DOCUMENTS";

    /**
     * FilterType
     */
    public static final String FILTER_TYPE = "FILTER_TYPE";

    /**
     * FilterID
     */
    public static final String FILTER_ID = "FILTER_ID";

    /**
     * ObjectID
     */
    public static final String OBJECT_ID = "OBJECT_ID";

    /**
     * Тип плашки документа
     *
     * @see DocumentConst#JOURNAL
     * @see DocumentConst#ALL
     */
    public static final String TYPE_ITEM_DOCUMENTS = "TYPE_ITEM_DOCUMENTS";

    /**
     * Плашка "Журналы, дела"
     */
    public static final String JOURNAL = "JOURNAL";

    /**
     * Плашка "Все документы пользователя"
     */
    public static final String ALL = "ALL";

    /**
     * Тип журнала (внутренний)
     */
    public static final String INTERNAL_DOCS = "internal_docs";

    /**
     * Происхождение документа (документ)
     */
    public static final String DOCUMENT = "DOCUMENT";

    /**
     * Происхождение документа (письмо)
     */
    public static final String EMAIL = "EMAIL";

    /**
     * Статус документа (на регистрации)
     */
    public static final String NOT_STARTED = "NOT_STARTED";

    /**
     * Статус документа (отклонен)
     */
    public static final String REJECTED = "REJECTED";

}
