package kz.arta.synergy.workflow.mobile.android.files;

/**
 * Created by neox on 28.10.15.
 * Общие константы используемые в модуле "Файлы"
 */
public class FilesConst {

    /**
     * Отступ слева у имени элемента
     */
    public static final int DP_MARGIN_LEFT = 10;

    /**
     * Максимальное количество уровней со смещением
     */
    public static final int OFFSET_LEVELS = 7;

    /**
     * Нода
     * Используется для передачи между активити
     */
    public static final String NODE = "NODE";

    /**
     * Идентификатор ноды
     * Используется для передачи между активити
     */
    public static final String NODE_ID = "NODE_ID";

    /**
     * Параметры поиска
     * Используется для передачи между активити
     */
    public static final String SEARCH_PARAMS = "SEARCH_PARAMS";

    /**
     * Отображать ли файлы в дереве или нет
     * Используется для передачи между активити
     */
    public static final String SHOW_FILES = "SHOW_FILES";

    /**
     * Фильтрация только по изображениям
     */
    public static final String ONLY_IMAGES = "ONLY_IMAGES";

    /**
     * Количество найденных файлов для каждого типа
     * Используется для передачи между активити
     */
    public static final String FILES_TYPES_COUNT = "FILES_TYPES_COUNT";

    /**
     * Тип файла с текстовым содержимым
     */
    public static final String AI_DOCUMENT = "ai_text";

    /**
     * HTD файл
     */
    public static final String AI_HTD_DOCUMENT = "ai_htd";

    /**
     * Файл изображения
     */
    public static final String AI_IMAGE = "ai_image";

    /**
     * Аудио файл
     */
    public static final String AI_AUDIO = "ai_audio";

    /**
     * Видео файл
     */
    public static final String AI_VIDEO = "ai_video";

    /**
     * Приложение
     */
    public static final String AI_APPLICATION = "ai_application";

    /**
     * Тип сортировки - по релевантности
     */
    public static final int SORT_RELEVANCE = 0;

    /**
     * Тип сортировки - по дате
     */
    public static final int SORT_DATE = 1;

    /**
     * Тип сортировки - по количеству чтений файла
     */
    public static final int SORT_READSCOUNT = 2;

}
