package kz.arta.synergy.workflow.mobile.android.forms.general.components.users;

/**
 * Created by neox on 17.03.16.
 * Константы юзерчузера
 */
public class UsersChooserConst {

    /**
     * Используется ли мультивыбор
     */
    public static final String MULTI_SELECT = "MULTI_SELECT";

    /**
     * Отображать ли группы
     */
    public static final String SHOW_GROUPS = "SHOW_GROUPS";

    /**
     * Выбранные группы из чузеров
     */
    public static final String SELECTED_ITEMS = "SELECTED_ITEMS";

    /**
     * Показывать удаленных пользователей
     */
    public static final String SHOW_REMOVED = "SHOW_REMOVED";

    /**
     * Отображать вакантные должности
     */
    public static final String SHOW_VACANT = "SHOW_VACANT";

    /**
     * Фильтрация по userID
     */
    public static final String FILTER_USER_ID = "FILTER_USER_ID";

    /**
     * Фильтрация по departmentID
     */
    public static final String FILTER_DEPARTMENT_ID = "FILTER_DEPARTMENT_ID";

    /**
     * Фильтрация по positionID
     */
    public static final String FILTER_POSITION_ID = "FILTER_POSITION_ID";

    /**
     * Тип компонента "Юзерчузер"
     */
    public static final int USER_CHOOSER = 1;

    /**
     * Тип компонента "Выбор подразделения"
     */
    public static final int DEPARTMENT_CHOOSER = 2;

    /**
     * Тип компонента "Выбор должностей"
     */
    public static final int POSITIONS_CHOOSER = 3;

    /**
     * Выбранные пользователи
     */
    public static final int SELECTED_USERS = 1;

    /**
     * Часто выбираемые пользователи
     */
    public static final int OFTEN_USERS = 2;

    /**
     * Группы
     */
    public static final int GROUPS = 3;

    /**
     * Департаменты
     */
    public static final int DEPARTMENTS = 4;
}
