package kz.arta.synergy.workflow.mobile.android.works.activities.completion.process;

/**
 * Created by neox on 16.02.16.
 * Константы сертификатов
 */
public class ProcessConst {

    /**
     * Ширина диалога (dp)
     */
    public static final int DIALOG_WIDTH = 350;

    /**
     * Высота диалога (dp)
     */
    public static final int DIALOG_HEIGHT = 500;

    /**
     * Сертификат просрочен
     */
    public static final String CERT_END = "CERT END";

    /**
     * Сертификат отозван
     */
    public static final String CERT_REVOKED = "CERT REVOKED";

    /**
     * Не настроено ЭЦП на сервере
     */
    public static final String DISTRIBUTION_CENTER_NOT_FOUND = "DISTRIBUTION_CENTER_NOT_FOUND";

    /**
     * Ошибка валидации сертификата
     */
    public static final String ERROR_PARSE_CERT = "WrongCert Error parse cert";

    /**
     * Ошибка сохранения сертификата
     */
    public static final String ERROR_SAVE_CERT = "Error save EDS";

    /**
     * Запуск экрана ввода пароля для сертификата
     */
    public static final int CERT_PASSWORD_ACTIVITY = 1;

    /**
     * Пароль сертификата
     */
    public static final String CERT_PASSWORD = "CERT_PASSWORD";

    /**
     * Путь сертификата
     */
    public static final String CERT_PATH = "CERT_PATH";

    /**
     * Идентификатор сертификата
     */
    public static final String CERT_ID = "CERT_ID";

    /**
     * Фильтр для файл чузера
     */
    public static final String FILTER = "(.*\\.p12)|(.*\\.pfx)";
}
